Bug 864127 - gpk-update-viewer fails to show package description with
gpk-update-viewer fails to show package description with
Status: ASSIGNED
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gnome-packagekit (Show other bugs)
6.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 12:32 EDT by Zebu1er
Modified: 2017-09-14 07:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Working case (LANG=en_US) (178.63 KB, image/png)
2012-10-14 06:28 EDT, Zebu1er
no flags Details
Non working case (LANG=fr_FR) (159.37 KB, image/png)
2012-10-14 06:32 EDT, Zebu1er
no flags Details

  None (edit)
Description Zebu1er 2012-10-08 12:32:19 EDT
Description of problem:
Selecting an update in the list fails to show the summary (emptied), instead an error is thrown to stdout.

Version-Release number of selected component (if applicable):
gnome-packagekit-2.28.3-4 (EL 6.3, x64)

How reproducible:
Any time, having gpk-update-viewer lanched with LANG=fr_FR or LANG=fr_FR.UTF-8.
Does not apply to LANG=en_US.

Steps to Reproduce:
1. Open a console
2. Type LANG=fr_FR gpk-update-viewer
3. Select a base repo package to update in the list
  
Actual results:
Throws to the console :
WARNING **: Invalid markup string: Erreur  la ligne 1: Le nom d'entit nbsp n'est pas connu.
The above message (missing the letters with diacritics) means : Error on line 1: The entity name nbsp is unknown.

Expected results:
No error thrown to stdout but summary shown, like it is acting with the locale en_US.

Additional info:
"nbsp" in the error message probably refers to XML   entity.
The system is set to LANG=fr_FR.UTF-8 default locale.
Bug 744906 seems at first similar but is about dual arch (x86 + x64) simultaneous package update.
Some none RHEL base repo packages show correctly in summary.
Comment 2 Zebu1er 2012-10-14 06:28:53 EDT
Created attachment 626883 [details]
Working case (LANG=en_US)

Update package description shows, no error thrown to STDOUT/STDERR.
Comment 3 Zebu1er 2012-10-14 06:32:50 EDT
Created attachment 626884 [details]
Non working case (LANG=fr_FR)

Update package description doesn't show, error thrown to STDOUT/STDERR : ** (gpk-update-viewer:24185): WARNING **: Invalid markup string: Erreur à la ligne 1: Le nom d'entité <<nbsp>> n'est pas connu
Comment 4 RHEL Product and Program Management 2012-12-14 03:08:18 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Richard Hughes 2014-05-20 06:19:01 EDT
GMarkupParser does not know about &nbsp; -- I'm not sure this is a gnome-packagekit bug more of a PackageKit not parsing the yum data correctly. Some questions first, if I may:

* What desktop type is that?
* Is this happening for every package, or just one?
* What repos are installed? Satellite or RHN should give you a proper package description, rather than falling back to the ChangeLogs

-- Thanks.

Richard.
Comment 6 Zebu1er 2014-05-20 06:34:15 EDT
Repos activated :
CentOS-6 - Base
CentOS-6 - Plus
CentOS-6 - Contrib
CentOS-6 - CR
CentOS-6 - Extras
CentOS-6 - Updates

Note that descriptions always show with LANG=en_US while never with above repos.

My usual desktop is KDE 4.3.4 (kdebase-4.3.4-6.el6.x86_64).

The present version of GPK (gnome-packagekit-2.28.3-7.el6.x86_64) still have presents this bug.
Comment 7 Zebu1er 2014-05-20 15:03:12 EDT
Having a couple of new updates, I tested gpk-update-viewer with :

LANG=fr_FR.ISO88591 gpk-update-viewer
LANG=fr_BE.ISO88591 gpk-update-viewer
LANG=fr_CA.ISO88591 gpk-update-viewer
LANG=fr_FR.UTF-8 gpk-update-viewer
LANG=fr_BE.UTF-8 gpk-update-viewer
LANG=fr_CA.UTF-8 gpk-update-viewer

and it always shows :

** (gpk-update-viewer:19768): WARNING **: Invalid markup string: Erreur à la ligne 1: L'entité nommée nbsp est inconnue

and only when a description has to be shown. Is this case, with en_US, en_EN, es_ES, it_IT, whether ISO or UTF8 is used it would have showned the description.
Comment 8 Zebu1er 2014-05-27 14:48:13 EDT
I've just installed a fresh Centos 6.5 x64 in a VirtualBox instance, choosing French as the language. I also choosed French for the interface in Gnome. Today gpk-update-viewer showed the same bug. I was logged on with a non privileged user.
Comment 9 Zebu1er 2014-05-27 14:52:07 EDT
(In reply to Richard Hughes from comment #5)
> GMarkupParser does not know about &nbsp; -- I'm not sure this is a
> gnome-packagekit bug more of a PackageKit not parsing the yum data
> correctly. Some questions first, if I may:
> 
> * What desktop type is that?
> * Is this happening for every package, or just one?
> * What repos are installed? Satellite or RHN should give you a proper
> package description, rather than falling back to the ChangeLogs
> 
> -- Thanks.
> 
> Richard.

I can provide you the VirtualBox VM to speed your tests, if it can help.

Note You need to log in before you can comment on or make changes to this bug.